Bug 21775 - Lack of tests for audio alerts
Summary: Lack of tests for audio alerts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21956 21766 21777
  Show dependency treegraph
 
Reported: 2018-11-06 18:15 UTC by Jonathan Druart
Modified: 2018-12-05 19:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21775: Add selenium tests for audio alerts (2.78 KB, patch)
2018-11-06 18:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21775: [18.05.x] Add selenium tests for audio alerts (2.40 KB, patch)
2018-11-06 18:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21775: Add selenium tests for audio alerts (2.84 KB, patch)
2018-11-09 13:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 21775: Logout before trying to login (928 bytes, patch)
2018-11-12 20:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-11-06 18:15:40 UTC
This code is not reliable, we faced too many regressions.

We need a Selenium test to cover it and prevent future regressions
Comment 1 Jonathan Druart 2018-11-06 18:19:03 UTC
Created attachment 82001 [details] [review]
Bug 21775: Add selenium tests for audio alerts

To prevent future regressions
Comment 2 Jonathan Druart 2018-11-06 18:19:59 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2018-11-06 18:20:50 UTC
Attached to its own bug report to make it part of master.

Initially written for bug 21766.
Comment 4 Jonathan Druart 2018-11-06 18:21:43 UTC
Created attachment 82002 [details] [review]
Bug 21775: [18.05.x] Add selenium tests for audio alerts

To prevent future regressions
Comment 5 Julian Maurice 2018-11-09 13:19:15 UTC
Created attachment 82164 [details] [review]
Bug 21775: Add selenium tests for audio alerts

To prevent future regressions

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Tomás Cohen Arazi 2018-11-12 19:30:17 UTC
Pushed for 18.11. Thanks all!
Comment 7 Jonathan Druart 2018-11-12 20:09:22 UTC
Created attachment 82249 [details] [review]
Bug 21775: Logout before trying to login
Comment 8 Jonathan Druart 2018-11-12 20:10:04 UTC
The last patch should fix the jenkins failure:
koha_1       | 
koha_1       |     #   Failed test at t/db_dependent/selenium/regressions.t line 106.
koha_1       |     #                   'Koha staff client'
koha_1       |     #     doesn't match '(?^u:Log in to Koha)'

We must logout before auth.
Comment 9 Tomás Cohen Arazi 2018-11-12 20:37:30 UTC
Follow-up pushed to master. Thanks for the quick reponse, Jonathan.
Martin: beware :-D
Comment 10 Martin Renvoize 2018-11-16 14:17:46 UTC
Pushed to 18.05.x for 18.05.06
Comment 11 Fridolin SOMERS 2018-11-28 10:08:59 UTC
I prefer not to push to 17.11.x